Share via


Database Vulnerability Assessment Scans - Get

Gets a vulnerability assessment scan record of a database.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/vulnerabilityAssessments/default/scans/{scanId}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
databaseName
path True

string

The name of the database.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

scanId
path True

string

The vulnerability assessment scan Id of the scan to retrieve.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

vulnerabilityAssessmentName
path True

VulnerabilityAssessmentName

The name of the vulnerability assessment.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

VulnerabilityAssessmentScanRecord

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Gets a database vulnerability assessment scan record by scan ID

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/vulnerabilityassessmenttest-4711/providers/Microsoft.Sql/servers/vulnerabilityassessmenttest-6411/databases/testdb/vulnerabilityAssessments/default/scans/scan001?api-version=2025-01-01

Sample response

{
  "name": "scan001",
  "type": "Microsoft.Sql/servers/databases/vulnerabilityAssessments/scans",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/vulnerabilityassessmenttest-4799/providers/Microsoft.Sql/servers/vulnerabilityassessmenttest-6440/databases/testdb/vulnerabilityAssessments/default/scans/scan001",
  "properties": {
    "endTime": "2017-12-12T17:47:06Z",
    "errors": [],
    "numberOfFailedSecurityChecks": 9,
    "scanId": "scan001",
    "startTime": "2017-12-12T17:45:06Z",
    "state": "Passed",
    "storageContainerPath": "https://myaccount.blob.core.windows.net/vulnerability-assessment",
    "triggerType": "OnDemand"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

systemData

Metadata pertaining to creation and last modification of the resource.

VulnerabilityAssessmentName
VulnerabilityAssessmentScanError

Properties of a vulnerability assessment scan error.

VulnerabilityAssessmentScanRecord

A vulnerability assessment scan record.

VulnerabilityAssessmentScanState

The scan status.

VulnerabilityAssessmentScanTriggerType

The scan trigger type.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

VulnerabilityAssessmentName

Value Description
default

default

VulnerabilityAssessmentScanError

Properties of a vulnerability assessment scan error.

Name Type Description
code

string

The error code.

message

string

The error message.

VulnerabilityAssessmentScanRecord

A vulnerability assessment scan record.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.endTime

string (date-time)

The scan end time (UTC).

properties.errors

VulnerabilityAssessmentScanError[]

The scan errors.

properties.numberOfFailedSecurityChecks

integer (int32)

The number of failed security checks.

properties.scanId

string

The scan ID.

properties.startTime

string (date-time)

The scan start time (UTC).

properties.state

VulnerabilityAssessmentScanState

The scan status.

properties.storageContainerPath

string

The scan results storage container path.

properties.triggerType

VulnerabilityAssessmentScanTriggerType

The scan trigger type.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

VulnerabilityAssessmentScanState

The scan status.

Value Description
Passed

Passed

Failed

Failed

FailedToRun

FailedToRun

InProgress

InProgress

VulnerabilityAssessmentScanTriggerType

The scan trigger type.

Value Description
OnDemand

OnDemand

Recurring

Recurring